PHP Manual
Prev |  | Next

# HttpDeflateStream

(no version information, might be only in CVS)

HttpDeflateStream -- HTTP Deflate Stream Class

## Synopsis

    class HttpDeflateStream

## Class Members

### Predefined Constants

Table 1.

Type | Name | Description
--- | --- | ---
int | TYPE_GZIP | gzip encoding
int | TYPE_ZLIB | zlib AKA deflate encoding
int | TYPE_RAW | raw deflate encoding
int | LEVEL_MIN | minimum compression level
int | TYPE_DEF | default compression level
int | LEVEL_MAX | maximum compression level
int | STRATEGY_DEF | default strategy
int | STRATEGY_FILT | filtered strategy
int | STRATEGY_HUFF | Huffman strategy
int | STRATEGY_RLE | RLE strategy
int | STRATEGY_FIXED | fixed strategy
int | FLUSH_NONE | no forced flush
int | FLUSH_SYNC | synching flush
int | FLUSH_FULL | full flush

### Methods

HttpDeflateStream::construct()
HttpDeflateStream::update()
HttpDeflateStream::flush()
HttpDeflateStream::finish()

Prev | Home | Next
HttpQueryString::xlate | Up | HttpDeflateStream::__construct